package org.gcube.resourcemanagement.manager.io.exceptions;

/**
 * Exception returned by the Resource Manager.
 * 
 * @author Manuele Simi (ISTI CNR)
 *
 */
public class CodeException extends Exception {

	private static final long serialVersionUID = 333945715086602250L;

	private final int errorCode;
	private final String errorMsg;

	public CodeException(RMCode code) {
		super();
		this.errorMsg = code.getMessage();
		this.errorCode = code.getId();
	}

	public int getErrorCode() {
		return errorCode;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

}
