package org.gcube.resourcemanagement.manager.io.exceptions;

/**
 * Exception codes handled with {@link CodeException}.
 * 
 * @author Manuele Simi (ISTI CNR)
 *
 */
public enum RMCode implements ErrorCode {

	INVALID_REQUEST(0, "The request is invalid"), 
	MISSING_PARAMETER(1,"Required query parameter is missing"), 
	MISSING_HEADER(2, "Required header is missing"), 
	CONTEXT_ALREADY_EXIST(3, "Required header is missing"),
	INVALID_REQUEST_FOR_RR(4, "Failed to validate the request. The request was not submitted to the Resource Registry."),
	GENERIC_ERROR_FROM_RR(0, "The Resource Registry returned an error.");

	private final int id;
	private final String msg;

	private RMCode(int id, String msg) {
		this.id = id;
		this.msg = msg;
	}

	public int getId() {
		return this.id;
	}

	public String getMessage() {
		return this.msg;
	}
}
